<?php

namespace CelerSearch\Interfaces;

interface IIndexableObject {
	/**
	 * Get the unique identifier of the object
	 * @return mixed
	 */
	public function get_id();

	/**
	 * Get the data to be indexed
	 * @return array
	 */
	public function get_indexable_data();
}